"use strict";
const logger_1 = require('./logger');
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    defaultHeaders: {
        persistent: true
    },
    publish(channel, exchange, routingKey, content, headers) {
        return new Promise((resolve, reject) => {
            let extraHeaders = {};
            const bufferContent = new Buffer(JSON.stringify(content));
            const exchangeHeaders = Object.assign({}, this.defaultHeaders, headers, extraHeaders);
            logger_1.getLogger().debug(`<- Publishing to ${exchange} ${routingKey} ${bufferContent.byteLength} bytes`);
            channel.publish(exchange, routingKey, bufferContent, exchangeHeaders, (err, ok) => {
                err ? reject(err) : resolve(ok);
            });
        });
    }
};
//# sourceMappingURL=exchange.js.map